Subject: Re: bug#20182: 24.4.91; [GTK3] Vertical scroll bar is "indented" from right edge of frame

From: martin rudalics <[email-masked]>
Date: Mon, 23 Mar 2015 20:54:20 +0100

>      emacs -Q
 >
 > Expected results:
 >
 > - The Emacs frame has a vertical scroll bar displayed on the right with
 >    the right edge of the scroll bar at the right edge of the frame. That
 >    is, the right edge of the scroll bar is in the same pixel column as
 >    the right edge of the title bar and menu bar. [In other words the
 >    scroll bar and the title bar / menu bar intersect in the form an
 >    inverted L.]
 >
 > Actual results:
 >
 > - The Emacs frame has a vertical scroll bar displayed on the right, but
 >    the right edge of the scroll bar is "indented" from the right edge of
 >    the frame. That is, the right edge of the scroll bar is a few pixels
 >    to the left of (the pixel column of) the right edge of the title bar
 >    and menu bar. [In other words the scroll bar and the title bar / menu
 >    bar intersect in the form a T.]
 >
 > Additional information:
 >
 > - Other programs on my system display their scroll bar properly aligned.

I suppose its the hardcoded w = 16 in update_theme_scrollbar_width.

Does anything change if you play around with say

(set-frame-parameter nil 'scroll-bar-width 14)

or smaller values than 14?

martin